#ifndef __LISTE_D_ENTIERS__
#define __LISTE_D_ENTIERS__
#include <errno.h>
#include "ListeChaineeDEntiers.h"

typedef struct LDE_ListeDEntiers {
  unsigned int nb;
  LCDE_ListeChainee entiers;
} LDE_ListeDEntiers;

#define LCDE_ERREUR_MEMOIRE 1

LDE_ListeDEntiers LDE_listeDEntiers();
int LDE_estVide(LDE_ListeDEntiers l);
unsigned int LDE_longueur(LDE_ListeDEntiers l);
void LDE_inserer(LDE_ListeDEntiers *pl, unsigned int p, int e); /* assertion : 1 <= p <= LDE_longueur(l)+1 */
int LDE_obtenirIemeElement(LDE_ListeDEntiers l, unsigned int i); /* assertion : 1 <= i <= LDE_longueur(l) */
void LDE_supprimer(LDE_ListeDEntiers *pl, unsigned int p); /* assertion : 1 <= p <= LDE_longueur(l) */
void LDE_supprimerLDE(LDE_ListeDEntiers *pl);
#endif 
